Skip to content
Athena User Guide
Esc
↑↓navigate↵open⌘Jpreview

Publish a draft as a challenge

POST/api/admin/drafts/{id}/publish
Path parameters
idstringrequired
Responses
200

Success

idstringrequired
pointsnumberrequired
titlestringrequired
descriptionstringrequired
containerSpecobject | nullrequired
Show properties
Any of:
object
servicesobject[]required
Show properties
Array of object
namestringrequired
imagestringrequired
commandstring[]
environmentobject
portsobject[]
Show properties
Array of object
portnumberrequired
kindstringrequired
Show properties
Any of:
string
string
string
string
sizestring
Show properties
Any of:
string
string
string
string
string
string
string
string
null
null
categoryIdstringrequired
difficultyIdstringrequired
maxAttemptsnumber | nullrequired
Show properties
Any of:
number
number
null
null
userSolvesVisiblebooleanrequired
scoringTypestringrequired
Show properties
Any of:
string
string
string
string
string
string
initialPointsnumber | nullrequired
Show properties
Any of:
number
number
null
null
minimumPointsnumber | nullrequired
Show properties
Any of:
number
number
null
null
decayFactornumber | nullrequired
Show properties
Any of:
number
number
null
null
dynamicFlagbooleanrequired
releaseAtstring<date-time> | nullrequired
Show properties
Any of:
string<date-time>
string<date-time>
null
null
createdAtstring<date-time>required
updatedAtstring<date-time>required
statusstringrequired
Show properties
Any of:
string
string
string
string
string
string
createdBystringrequired
400

Bad request

errorstringrequired
401

Unauthorized

errorstringrequired
404

Not found

errorstringrequired
422

Validation failed

typestringrequired
onstringrequired
summarystring
messagestring
foundany
propertystring
expectedstring
429

Too many requests

errorstringrequired
500

Unhandled server error

errorstringrequired
Try it
Server
Parameters
Request
curl -X POST '/api/admin/drafts/string/publish' \
  -H 'Accept: application/json'
Response
{
  "id": "string",
  "points": 0,
  "title": "string",
  "description": "string",
  "containerSpec": {
    "services": [
      {
        "name": "string",
        "image": "string",
        "command": [
          "string"
        ],
        "environment": {
          "property1": "string",
          "property2": "string"
        },
        "ports": [
          {
            "port": 0,
            "kind": "tcp"
          }
        ]
      }
    ],
    "size": "xl"
  },
  "categoryId": "string",
  "difficultyId": "string",
  "maxAttempts": 0,
  "userSolvesVisible": true,
  "scoringType": "static",
  "initialPoints": 0,
  "minimumPoints": 0,
  "decayFactor": 0,
  "dynamicFlag": true,
  "releaseAt": "2019-08-24T14:15:22Z",
  "createdAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z",
  "status": "hidden",
  "createdBy": "string"
}

Was this page helpful?